LoveStory
Diễn Đàn Sinh Viên Khoa Xây Dựng - Mỏ Địa Chất
 :: 

IT-CP-DS

 :: 

IT Xây Dựng

 :: 

Auto Cad

 :: 

Hỏi Đáp Auto Cad




Help - lệnh cut dimXem chủ đề cũ hơn Xem chủ đề mới hơn Go down
Thu May 05, 2011 2:36 pm
[Thành viên] - khaxd★Dân Thường★
★Dân Thường★

Bài gửiTiêu đề: Help - lệnh cut dim
Xem lý lịch thành viên

Tiêu đề: Help - lệnh cut dim

anh ơi cho em hỏi lệnh cut dim là gì thế ạ Twisted Evil



Thu May 05, 2011 2:39 pm
avatar
[Thành viên] - chungdaika★Đại Tá★
★Đại Tá★

Bài gửiTiêu đề: Re: Help - lệnh cut dim
Xem lý lịch thành viên

Tiêu đề: Help - lệnh cut dim

bạn lấy cái này rồi dán vào note pate > save lại tên là cd.txt rồi vào cad gõ ap là xong
Code:
;; free lisp from cadviet.com
;;; this lisp was downloaded from http://www.cadviet.com/forum/index.php?showtopic=95
(defun c:cdx (/ entdt dcat1 dcat2 sodimsua index sodt ssdt tt)
  (defun cdim (entdt   pchan    pduong     /     tt       old10
         old13   old14    new10     new13     new14    p10n
         p13n   p14n    p10o     p13o     p14o       gocduong
         gocchan   pchanb    pduongb loaidim
         )
    (defun chanvuonggoc   (ph p1 p2 / ptemp pkq goc)
      (setq
   goc  (+ (angle p1 p2) (/ pi 2.0))
   ptemp (polar ph goc 1000.0)
   pkq  (inters ph ptemp p1 p2 nil)
      )
      pkq
    )
    (setq
      tt      (entget entdt)
      old10    (assoc '10 tt)
      old13    (assoc '13 tt)
      old14    (assoc '14 tt)
      p10o    (cdr old10)
      p13o    (cdr old13)
      p14o    (cdr old14)
      loaidim  (logand (cdr (assoc '70 tt)) 7)
      gocduong (cond
       ((= loaidim 1) (angle p13o p14o))
       ((= loaidim 0) (cdr (assoc '50 tt)))
       (t nil)
         )
      pchan (cond
         (pchan (list (car pchan) (cadr pchan) 0.0))
         (t pchan)
       )
      pduong (cond
         (pduong (list (car pduong) (cadr pduong) 0.0))
         (t pduong)
       )
     
    )
    (if   gocduong
      (progn
   (if pchan
     (setq
       pchanb (polar pchan gocduong 1000.0)
       p13n  (chanvuonggoc (list (car p13o) (cadr p13o) 0.0) pchan pchanb)
       p14n  (chanvuonggoc (list (car p14o) (cadr p14o) 0.0) pchan pchanb)
       new13  (cons 13 p13n)
       new14  (cons 14 p14n)
       tt     (subst new13 old13 tt)
       tt     (subst new14 old14 tt)
     )
   )
   (if pduong
     (setq
       pduongb (polar pduong gocduong 1000.0)
       p10n    (chanvuonggoc (list (car p10o) (cadr p10o) 0.0) pduong pduongb)
       new10  (cons 10 p10n)
       tt       (subst new10 old10 tt)
     )
   )
   (entmod tt)
      )
    )
    gocduong
  )

  (init)
  (setq   ssdt    (ssget '((0 . "DIMENSION")))
   dcat1    (getpoint "\nDiem cat chan DIM: ")
   dcat2    (getpoint "\nDiem cat duong DIM: ")
       
   dcat1    (cond
        (dcat1 (trans dcat1 1 0))
        (t nil)
       )
   dcat2    (cond
        (dcat2 (trans dcat2 1 0))
        (t nil)
       )   
   sodt    (sslength ssdt)
   index    0
   sodimsua 0
  )
  (repeat sodt
    (setq entdt   (ssname ssdt index)
     index   (1+ index)
     tt   (entget entdt)

    )
    (if   (cdim entdt dcat1 dcat2)
      (setq sodimsua (1+ sodimsua))
    )
  )
  (princ (strcat "\nSo duong dim da sua: " (itoa sodimsua)))
  (done)
)



Thu May 05, 2011 2:40 pm
[Thành viên] - khaxd★Dân Thường★
★Dân Thường★

Bài gửiTiêu đề: Re: Help - lệnh cut dim
Xem lý lịch thành viên

Tiêu đề: Help - lệnh cut dim

thanks anh nhá, em làm được rồi



[Thành viên] - Sponsored content

Bài gửiTiêu đề: Re: Help - lệnh cut dim

Tiêu đề: Help - lệnh cut dim



Help - lệnh cut dim

Xem chủ đề cũ hơn Xem chủ đề mới hơn Về Đầu Trang
Trang 1 trong tổng số 1 trang
* Không dùng những ngôn từ thiếu lịch sự.
* Bài viết sưu tầm nên ghi rõ nguồn.
* Tránh spam nhảm không liên quan đến chủ đề.

Yêu cầu viết tiếng Việt có dấu.


Permissions in this forum:Bạn không có quyền trả lời bài viết
Diễn Đàn Sinh Viên Khoa Xây Dựng - Mỏ Địa Chất :: IT-CP-DS :: IT Xây Dựng :: Auto Cad :: Hỏi Đáp Auto Cad-
Create a forum on Forumotion | © phpBB | Free forum support | Liên hệ | Report an abuse | Have a free blog with Sosblogs